{
  "function": "set_components",
"components": {
  "minecraft:item_model": "minecraft:weapons/sniper/sniper_reload_7"
},
  "conditions": [
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "type": "minecraft:player",
        "equipment": {
          "mainhand": {
            "items": "minecraft:warped_fungus_on_a_stick",
            "predicates": {
              "minecraft:custom_data": "{character:sniper}"
            }
          }
        }
      }
    }
  ]
}